//=========================================================================== 
// Organization : Individual developer 
// Filename     : chip_if.sv
// Author       : Feng Bohan
// Create Time  : 16:14:12 2025-04-14
// Last Modified: 16:21:05 2025-04-14
// Abstract     :  
//--------------------------------------------------------------------------
// Description:
// 
//--------------------------------------------------------------------------
// Modification History:
//--------------------------------------------------------------------------
// Rev      Date        Who         Description
// ---      ----        ---         -----------
// 0.0.01   2025-04-14  Feng Bohan  initial version
//===========================================================================
interface chip_if(input bit clk);
    logic rst_n;
    logic cnt_en;
    logic clear;
    logic [7:0] cnt;
    
    task init;
        rst_n = 0;
        cnt_en = 0;
        clear = 0;
    endtask

    clocking ck_p @(posedge clk);
        output rst_n;
        output cnt_en;
        output clear;
        input cnt;
    endclocking

    modport DUT(clocking ck_p);
        
endinterface

